Bug 121109 - (PATCH) races with handling of prelink.cache
Summary: (PATCH) races with handling of prelink.cache
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: prelink (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
high
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-04-17 11:43 UTC by Sami Farin
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version: prelink-0.3.2-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-12 10:07:26 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
race fixes for prelink.cache handling (2.52 KB, patch)
2004-04-17 11:45 UTC, Sami Farin
no flags Details | Diff
prelink_save_cache patch (1.02 KB, patch)
2004-05-03 13:02 UTC, Jakub Jelinek
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2004:386 normal SHIPPED_LIVE Updated prelink package 2004-09-02 04:00:00 UTC

Description Sami Farin 2004-04-17 11:43:56 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040113

Description of problem:
races:
1) after unlink(), prelink.cache does not exist
   (now, if another prelink is executed...)
2) after open(), prelink.cache is 0 bytes
   (now, system crash and you might be left with empty cache)
3) if write() fails (disk full, system crash),
   prelink.cache contains invalid data


Version-Release number of selected component (if applicable):
0.3.1-2

How reproducible:
Always

Steps to Reproduce:
1. run prelink and have bad luck or almost full partition
    

Additional info:

patch will be attached.

Comment 1 Sami Farin 2004-04-17 11:45:16 UTC
Created attachment 99507 [details]
race fixes for prelink.cache handling

Comment 2 Jakub Jelinek 2004-05-03 13:02:15 UTC
Created attachment 99909 [details]
prelink_save_cache patch

Your patch unfortunately improves one thing and creates another race
(two different prelink's can destroy each other's temporary cache,
etc.).
I'll attach what I'll use for next prelink release.

Comment 3 Jay Turner 2004-09-02 05:19:45 UTC
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2004-386.html



Note You need to log in before you can comment on or make changes to this bug.